require 'rake'
require 'glfm_markdown'
require 'fileutils'

def generate(source, destination)
  html = GLFMMarkdown.to_html(File.open(source).read.encode("UTF-8"), options: { sourcepos: true, 
  unsafe: true })
  File.open("public/#{destination}", "w").write(html)
end

task :generate => [] do
  FileUtils.mkdir_p("public/assets/images")
  FileUtils.cp("_redirects", "public/_redirects")
  FileUtils.cp("assets/images/banner.png", "public/assets/images/banner.png")
  generate("index.md", "index.html")
end

